# Agents Connectivity

### Problem: My network contains security policies that prevent agents from reaching the SeaLights platform <a href="#problem-my-network-contains-security-policies-that-prevent-agents-from-reaching-the-sealights-platfo" id="problem-my-network-contains-security-policies-that-prevent-agents-from-reaching-the-sealights-platfo"></a>

This is normally caused due to security policies related to Firewalls, or other networking-related security configurations that prevent access to the SeaLights API. To verify this is the case, try running a cURL command (or equivalent) to your dashboard URL:

{% tabs %}
{% tab title="Linux (cURL)" %}
{% code overflow="wrap" lineNumbers="true" %}

```bash
curl -vI https://<YourCustomDNSName>.sealights.co
```

{% endcode %}

If using a proxy, you should add the relevant parameter `-proxy http://myproxy.mycompany.int`
{% endtab %}

{% tab title="PowerShell" %}
{% code overflow="wrap" %}

```powershell
Invoke-WebRequest -Uri https://<YourCustomDNSName>.sealights.co -UseBasicParsing | Select-Object StatusCode,StatusDescription
```

{% endcode %}

If using a proxy, you should add the relevant parameter `-Proxy http://myproxy.mycompany.int`
{% endtab %}

{% tab title="Linux (wget)" %}

```bash
wget --server-response --spider https://<YourCustomDNSName>.sealights.co
```

If using a proxy, you should add the parameter `-e use_proxy=yes -e http_proxy=<proxy_url>`
{% endtab %}
{% endtabs %}

{% hint style="success" %}
`HTTP/2 200` code should be returned. If this code is received, you can access the SeaLights API and there is no need for this document.
{% endhint %}

{% hint style="danger" %}
If this command fails, it is essential to understand the reason. Looking at the detailed output (given by the `-vI` flags) can point us in the right direction.
{% endhint %}

{% hint style="info" %}

* If you need a generic Sealights endpoint, you can use `https://connect.sealights.co` in your command.
* If running on a **Linux container without cURL**, you can install it using `apt-get update && apt-get install -y curl` command or use the `wget` equivalent (see above).
  {% endhint %}

### Solution <a href="#solution" id="solution"></a>

If a firewall is present, it needs to **allow network traffic to reach the SeaLights platform,** and depending on your organization’s policy, you can use one of the following solutions.

#### Allow outbound traffic to Sealights' domain <a href="#allow-outbound-traffic-to-sealights-domain" id="allow-outbound-traffic-to-sealights-domain"></a>

The Firewall should **allow** outbound connections on port 443 (TLS v1.2) to **our domain** `https://*.sealights.co`.\
For a more restrictive rule, you can open the connections to your Sealights dashboard URL only.

#### Allow outbound traffic to Sealights' range of IP addresses <a href="#allow-outbound-traffic-to-sealights-range-of-ip-addresses" id="allow-outbound-traffic-to-sealights-range-of-ip-addresses"></a>

Sealights integrates with F5 Volterra. To ensure proper connectivity, configure your firewall or access control rules to allow traffic to and from the IP address **159.60.128.87**, which serves as the central ingress point for all Sealights servers.

### Related articles <a href="#related-articles" id="related-articles"></a>

* [Java Keystore: Add Certificate](/knowledgebase/setup-and-configuration/troubleshooting-faq/java/ssl-certificate-errors/java-keystore-add-certificate.md)
* [Build Failure: SLF4J NoClassDefFoundError](/knowledgebase/setup-and-configuration/troubleshooting-faq/maven/build-failure-slf4j-noclassdeffounderror.md) (Maven)
* [JaCoCo Offline Instrumentation: No Coverage](/knowledgebase/setup-and-configuration/troubleshooting-faq/maven/jacoco-offline-instrumentation-no-coverage.md) (Maven)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sealights.io/knowledgebase/setup-and-configuration/troubleshooting-faq/general/agents-connectivity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
